Subject: bug#17111: 24.3.50; server: C-x # inconsistent and barely documented

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Mar 2014 10:31:23 -0400

> I don't want to call anything here a bug too loudly, because I don't
> know which behavior was intended, and it's hard to guess without any
> doc.

IIUC the behavior was "designed" without taking into account the many
different use cases (e.g. it was designed in a single-frame context), so
there is probably no such thing as a "behavior [that] was intended" for
those cases you mention.

> But server.el is probably one of the things most newbies try first
> with Emacs, so it would be a good advertisement if C-x # would be better
> documented and the behavior would be consistent.

I think C-x # deserves a good rethink/redesign, yes.

        Stefan